Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.html2
Class JRexHTMLScriptElementImpl

    java.lang.Object
      org.mozilla.jrex.dom.JRexNodeImpl
          org.mozilla.jrex.dom.JRexElementImpl
              org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
                  org.mozilla.jrex.dom.html2.JRexHTMLScriptElementImpl

All Implemented Interfaces:
  Element, HTMLElement, HTMLScriptElement, Node

public class JRexHTMLScriptElementImpl
extends JRexHTMLElementImpl
implements HTMLScriptElement

A class implementing org.w3c.dom.html2.HTMLSciptElement interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `HTMLScriptElement`

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`String` | `getCharset()` The character encoding of the linked resource.
`boolean` | `getDefer()` Indicates that the user agent can defer processing of the script.
`String` | `getEvent()` Reserved for future use.
`String` | `getHtmlFor()` Reserved for future use.
`String` | `getSrc()` URI [IETF RFC 2396] designating an external script.
`String` | `getText()` The script content of the element.
`String` | `getType()` The content type of the script language.
`void` | `setCharset(String charset)` The character encoding of the linked resource.
`void` | `setDefer(boolean defer)` Indicates that the user agent can defer processing of the script.
`void` | `setEvent(String event)` Reserved for future use.
`void` | `setHtmlFor(String htmlFor)` Reserved for future use.
`void` | `setSrc(String src)` URI [IETF RFC 2396] designating an external script.
`void` | `setText(String text)` The script content of the element.
`void` | `setType(String type)` The content type of the script language.

Methods inherited from class org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.mozilla.jrex.dom.JRexElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.mozilla.jrex.dom.JRexNodeImpl
`appendChild, cloneNode, dispose, equals, finalize, getAttributes, getChildNodes, getEventTarget, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, hashCode, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix, toString`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html2.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getText

    public String getText()

  Description copied from interface: `HTMLScriptElement`
  The script content of the element.

  Specified by:
    `getText` in interface `HTMLScriptElement`

### setText

    public void setText(String text)

  Description copied from interface: `HTMLScriptElement`
  The script content of the element.

  Specified by:
    `setText` in interface `HTMLScriptElement`

### getHtmlFor

    public String getHtmlFor()

  Description copied from interface: `HTMLScriptElement`
  Reserved for future use.

  Specified by:
    `getHtmlFor` in interface `HTMLScriptElement`

### setHtmlFor

    public void setHtmlFor(String htmlFor)

  Description copied from interface: `HTMLScriptElement`
  Reserved for future use.

  Specified by:
    `setHtmlFor` in interface `HTMLScriptElement`

### getEvent

    public String getEvent()

  Description copied from interface: `HTMLScriptElement`
  Reserved for future use.

  Specified by:
    `getEvent` in interface `HTMLScriptElement`

### setEvent

    public void setEvent(String event)

  Description copied from interface: `HTMLScriptElement`
  Reserved for future use.

  Specified by:
    `setEvent` in interface `HTMLScriptElement`

### getCharset

    public String getCharset()

  Description copied from interface: `HTMLScriptElement`
  The character encoding of the linked resource. See the charset attribute definition in HTML 4.01.

  Specified by:
    `getCharset` in interface `HTMLScriptElement`

### setCharset

    public void setCharset(String charset)

  Description copied from interface: `HTMLScriptElement`
  The character encoding of the linked resource. See the charset attribute definition in HTML 4.01.

  Specified by:
    `setCharset` in interface `HTMLScriptElement`

### getDefer

    public boolean getDefer()

  Description copied from interface: `HTMLScriptElement`
  Indicates that the user agent can defer processing of the script. See the defer attribute definition in HTML 4.01.

  Specified by:
    `getDefer` in interface `HTMLScriptElement`

### setDefer

    public void setDefer(boolean defer)

  Description copied from interface: `HTMLScriptElement`
  Indicates that the user agent can defer processing of the script. See the defer attribute definition in HTML 4.01.

  Specified by:
    `setDefer` in interface `HTMLScriptElement`

### getSrc

    public String getSrc()

  Description copied from interface: `HTMLScriptElement`
  URI [IETF RFC 2396] designating an external script. See the src attribute definition in HTML 4.01.

  Specified by:
    `getSrc` in interface `HTMLScriptElement`

### setSrc

    public void setSrc(String src)

  Description copied from interface: `HTMLScriptElement`
  URI [IETF RFC 2396] designating an external script. See the src attribute definition in HTML 4.01.

  Specified by:
    `setSrc` in interface `HTMLScriptElement`

### getType

    public String getType()

  Description copied from interface: `HTMLScriptElement`
  The content type of the script language. See the type attribute definition in HTML 4.01.

  Specified by:
    `getType` in interface `HTMLScriptElement`

### setType

    public void setType(String type)

  Description copied from interface: `HTMLScriptElement`
  The content type of the script language. See the type attribute definition in HTML 4.01.

  Specified by:
    `setType` in interface `HTMLScriptElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.